#pragma once
/**
* @file BSP_INA.h
* @brief Driver for the BSP INA219 module
*
* This file provides a driver for the BSP INA219 module, which is used to measure voltage and current values.
* The driver includes functions for initializing the module, reading the current and voltage values, and calculating the power value.
* All of these functions are wrapped in a mutex lock to ensure consistent reading of the values.
*/

#include <stdint.h>


void BSP_INA_Init(void);

uint16_t BSP_INA_Voltage();
uint16_t BSP_INA_Current();
uint32_t BSP_INA_Power();
